## vaapipostproc vaapipostproc — A VA-API base video postprocessing filter |

## Types and Values

enum | GstVaapiDeinterlaceMode

## Description

vaapipostproc consists in various postprocessing algorithms to be applied to VA surfaces.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! vaapipostproc ! video/x-raw width=1920, height=1080 ! vaapisink

## Functions

## Types and Values

### enum GstVaapiDeinterlaceMode

#### Members

GST_VAAPI_DEINTERLACE_MODE_AUTO | Auto detect needs for deinterlacing. |
GST_VAAPI_DEINTERLACE_MODE_INTERLACED | Force deinterlacing. |
GST_VAAPI_DEINTERLACE_MODE_DISABLED | Never perform deinterlacing. |